Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Interface MetaComponentResolver

    public interface MetaComponentResolver

MetaComponentResolver interface is used to customize resolution of meta-components

Author:
  Nick Belaevski

Field Summary
`static char` | `META_COMPONENT_SEPARATOR_CHAR`

Method Summary
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)` Resolves and returns string identifying supported meta-component or `null` if provided meta-component name is not a supported one.
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)` Provides replacement for unresolved meta-component names.

Field Detail

### META_COMPONENT_SEPARATOR_CHAR

    static final char META_COMPONENT_SEPARATOR_CHAR

See Also:
  Constant Field Values

Method Detail

### resolveClientId

    String resolveClientId(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent contextComponent,
                           String metaComponentId)

  Resolves and returns string identifying supported meta-component or `null` if provided meta-component name is not a supported one.

  Parameters:
    `facesContext` - - current instance of `FacesContext`
    `contextComponent` - - instance of `UIComponent` that requested resolution of meta-component
    `metaComponentId` - - name of meta-component (without leading '@' sign)
  Returns:
    clientId, one of supported meta-names such as @all, @this, etc. or `null`

### substituteUnresolvedClientId

    String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent contextComponent,
                                        String metaComponentId)

  Provides replacement for unresolved meta-component names. Returns identifier string for the chosen substitution or `null`

  Parameters:
    `facesContext` - - current instance of `FacesContext`
    `contextComponent` - - instance of `UIComponent` that requested resolution of meta-component
    `metaComponentId` - - name of meta-component (without leading '@' sign)
  Returns:
    clientId, one of supported meta-names such as @all, @this, etc. or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.